Bug Hunting Session
Bug 114941 - SVG insert: Font width or spacing is incorrect (depending on zoom level)
Summary: SVG insert: Font width or spacing is incorrect (depending on zoom level)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Import Zoom-Issues
  Show dependency treegraph
 
Reported: 2018-01-10 08:25 UTC by James Harkins
Modified: 2019-02-12 03:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
SVG which displays incorrectly when imported into Writer (427.67 KB, image/svg+xml)
2018-01-10 08:25 UTC, James Harkins
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Harkins 2018-01-10 08:25:04 UTC
Created attachment 139007 [details]
SVG which displays incorrectly when imported into Writer

I have an SVG file, exported by LibreOffice Draw. It contains a number of text boxes with borders, containing text using the Inconsolata[1] monospaced font.

In my original ODG file, the boxes completely enclose the text. The SVG display is identical to the ODG in Inkscape and Firefox.

If I import this SVG into an empty Writer document, in some of the text boxes, the text now spills over past the right border. One of two possibilities: either the boxes' width has shrunk while the text did not, or the text width/spacing expanded while the boxes remained the same. Either way, it's not accurate scaling.

I originally saw the issue in LO 5.1.6. I retested importing the original SVG into LO Writer 5.4.4, same issue.

I'm attaching the specific SVG, created in LO Draw 5.1.6. I tried to create a more minimal-example SVG in 5.4.4, but it seems SVG export is broken in this version (the box around the text exported incorrectly). I also tried to export only the text from Draw, and add the box in Inkscape, but that SVG did not reproduce the problem. So for now, I will have to use the original file.
Comment 1 Buovjaga 2018-02-11 11:45:53 UTC
I confirm. It is seen in f.ex. the topmost box. I noticed it depends on the zoom level. Check quickly with Ctrl-scrollwheel.

Please also attach the original Draw file.

Version 3.3 displays the SVG as a total mess.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c6a23023150c164a19236139fa413d43006ce21c
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 11th 2018

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 2 QA Administrators 2019-02-12 03:42:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug